Space Launch Library

Did the Space Launch binary sensor go away (all fields are now blank), or is it just me?

Seems OK for me

Mine hasn’t worked in a long time. None of the data being pulled is correct

It looks like the web server is down. Getting a 521 error code.

https://launchlibrary.net/

Testing via web returns valid data and my HA still showing next launch.
https://launchlibrary.net/1.4/launch

Hmm yep, not much to the config either. Not sure why it wouldn’t work for the others then

That post of mine inquiring about the ISS data server being down was a year ago. It came back after about a 4 day hiatus. Since then it has been pretty reliable with just an occasional hiccup.
All seems well and I remind myself that NASA never promised a 99.9995% uptime on this server. :slight_smile:

2 Likes

Hey, let me hijack this thread. For me (HA Docker Container installation), the conpoment does not work. At HA startup, I get this error:

2020-08-03 09:36:09 ERROR (MainThread) [homeassistant.components.sensor] launch_library: Error on device update!
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pylaunches/common.py", line 29, in api_call
    response = await self.session.get(endpoint, headers=HEADERS)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 967, in _create_direct_connection
    traces=traces), loop=self._loop)
concurrent.futures._base.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 319, in _async_add_entity
    await entity.async_device_update(warning=False)
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 463, in async_device_update
    await self.async_update()  # type: ignore
  File "/usr/src/homeassistant/homeassistant/components/launch_library/sensor.py", line 50, in async_update
    await self.launches.get_launches()
  File "/usr/local/lib/python3.7/site-packages/pylaunches/api.py", line 26, in get_launches
    data = await common.api_call(BASE_URL)
  File "/usr/local/lib/python3.7/site-packages/pylaunches/common.py", line 30, in api_call
    data = await response.json()
  File "/usr/local/lib/python3.7/site-packages/async_timeout/__init__.py", line 55, in __aexit__
    self._do_exit(exc_type)
  File "/usr/local/lib/python3.7/site-packages/async_timeout/__init__.py", line 92, in _do_exit
    raise asyncio.TimeoutError
concurrent.futures._base.TimeoutError

Any ideas?